Name:           gnu-crypto
Version:        2.0.1
Release:        1jpp_1rh
Epoch:          0
Summary:        GNU Crypto library for Java

Group:          Security/Cryptography
License:        GPL with library exception
URL:            http://www.gnu.org/software/gnu-crypto/
Source0:        http://ftp.gnupg.org/GnuPG/gnu-crypto/gnu-crypto-2.0.1.tar.bz2
Patch0:         %{name}-crosslink.patch
# javax.security.auth.* is already in J2SE >= 1.4.
Patch1:         %{name}-noauth.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  ant, java-devel >= 0:1.4
Requires:       java >= 0:1.4, java-sasl

%description
GNU Crypto, part of the GNU project, released under the aegis of GNU,
aims at providing free, versatile, high-quality, and provably correct
implementations of cryptographic primitives and tools in the Java
programming language for use by programmers and end-users.

%package        sasl-jdk1.4
Summary:        Gnu Crypto SASL API
Group:          Security/Cryptography
Provides:       java-sasl

%description    sasl-jdk1.4
%{summary}.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
BuildRequires:  java-javadoc

%description    javadoc
%{summary}.


%prep
%setup -q
%patch0 -p0
%patch1 -p0


%build
ant -Djdk2=true -Dj2se.apidoc=%{_javadocdir}/java jar javadoc2


%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 lib/gnu-crypto.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -dm 755 \
  $RPM_BUILD_ROOT%{_javadir}-{ext,1.4.0,1.4.1,1.4.2}
install -pm 644 lib/javax-security.jar \
  $RPM_BUILD_ROOT%{_javadir}-ext/%{name}-sasl-jdk1.4.jar
for javaver in 1.4.0 1.4.1 1.4.2 ; do
  ln -s %{_javadir}-ext/%{name}-sasl-jdk1.4.jar \
    $RPM_BUILD_ROOT%{_javadir}-$javaver/sasl.jar
done

install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pR docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}


%check || :
# ant check # takes a looooong time


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING README THANKS
%{_javadir}/%{name}*.jar

%files sasl-jdk1.4
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING README THANKS
%{_javadir}-ext/%{name}-sasl-jdk1.4.jar
%{_javadir}-1.4.0/sasl.jar
%{_javadir}-1.4.1/sasl.jar
%{_javadir}-1.4.2/sasl.jar

%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Mon Nov 15 2004 Fernando Nasser <fnasser@redhat.com> - 0:2.0.1-1jpp_1rh
- First Red Hat build

* Mon Jun 14 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0.1-1jpp
- First build.
